Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.Modifier

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.Modifier

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.Modifier

extends java.lang.Enum
implements QtEnumerator

This enum provides shorter names for the keyboard modifier keys supported by Qt.

Note: On Mac OS X, the `CTRL` value corresponds to the Command keys on the Macintosh keyboard, and the `META` value corresponds to the Control keys.

See also:
  `KeyboardModifier` , and `MouseButton` .

See Also:
  Serialized Form

Field Summary
`static Qt.Modifier` | `ALT` The normal Alt keys, but not keys like `AltGr` .
`static Qt.Modifier` | `CTRL` The Ctrl keys.
`static Qt.Modifier` | `META` The Meta keys.
`static Qt.Modifier` | `MODIFIER_MASK`
`static Qt.Modifier` | `SHIFT` The Shift keys provided on all standard keyboards.
`static Qt.Modifier` | `UNICODE_ACCEL` The shortcut is specified as a Unicode code point, not as a Qt Key.

Method Summary
`static Qt.Modifier` | `resolve(int value)` Returns the Modifier constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Modifier` | `valueOf(java.lang.String name)`
`static Qt.Modifier[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### META

    public static final Qt.Modifier META

  The Meta keys.

### SHIFT

    public static final Qt.Modifier SHIFT

  The Shift keys provided on all standard keyboards.

### CTRL

    public static final Qt.Modifier CTRL

  The Ctrl keys.

### ALT

    public static final Qt.Modifier ALT

  The normal Alt keys, but not keys like `AltGr` .

### MODIFIER_MASK

    public static final Qt.Modifier MODIFIER_MASK

### UNICODE_ACCEL

    public static final Qt.Modifier UNICODE_ACCEL

  The shortcut is specified as a Unicode code point, not as a Qt Key.

Method Detail

### values

    public static Qt.Modifier[] values()

### valueOf

    public static Qt.Modifier valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Modifier resolve(int value)

  Returns the Modifier constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD